# Uses of Enum Class
org.apache.sysds.common.Types.Direction

Packages that use Types.Direction
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.lops
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of Types.Direction in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.Direction
Modifier and Type
Method
Description
`static Types.Direction`
Types.Direction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.Direction[]`
Types.Direction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.Direction in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.Direction
Modifier and Type
Method
Description
`Types.Direction`
AggUnaryOp.`getDirection()`
Methods in org.apache.sysds.hops with parameters of type Types.Direction
Modifier and Type
Method
Description
`void`
AggUnaryOp.`setDirection(Types.Direction direction)`
Constructors in org.apache.sysds.hops with parameters of type Types.Direction
Modifier
Constructor
Description
``
`AggUnaryOp(String l, Types.DataType dt, Types.ValueType vt, Types.AggOp o, Types.Direction idx, Hop inp)`

## Uses of Types.Direction in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.Direction
Modifier and Type
Method
Description
`static AggUnaryOp`
HopRewriteUtils.`createAggUnaryOp(Hop input, Types.AggOp op, Types.Direction dir)`
`static boolean`
HopRewriteUtils.`isAggUnaryOp(Hop hop, Types.AggOp op, Types.Direction dir)`

## Uses of Types.Direction in org.apache.sysds.lops

Methods in org.apache.sysds.lops with parameters of type Types.Direction
Modifier and Type
Method
Description
`static Types.CorrectionLocationType`
PartialAggregate.`getCorrectionLocation(Types.AggOp operation, Types.Direction direction)`
`static String`
PartialAggregate.`getOpcode(Types.AggOp op, Types.Direction dir)`
`static void`
PartialAggregate.`setDimensionsBasedOnDirection(Lop lop, long dim1, long dim2, long blen, Types.Direction dir)`
Constructors in org.apache.sysds.lops with parameters of type Types.Direction
Modifier
Constructor
Description
``
`BinaryUAggChain(Lop input1, Types.OpOp2 bop, Types.AggOp uaop, Types.Direction uadir, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Constructor to setup a map mult chain without weights
``
`PartialAggregate(Lop input, Types.AggOp op, Types.Direction direct, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`PartialAggregate(Lop input, Types.AggOp op, Types.Direction direct, Types.DataType dt, Types.ValueType vt, AggBinaryOp.SparkAggType aggtype, Types.ExecType et)`
``
`TernaryAggregate(Lop input1, Lop input2, Lop input3, Types.AggOp aggOp, Types.OpOp2 binOp, Types.Direction direction, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`UAggOuterChain(Lop input1, Lop input2, Types.AggOp uaop, Types.Direction uadir, Types.OpOp2 bop, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
Constructor to setup a unaryagg outer chain

## Uses of Types.Direction in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return Types.Direction
Modifier and Type
Method
Description
`static Types.Direction`
InstructionUtils.`getAggDirection(String opcode)`

## Uses of Types.Direction in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type Types.Direction
Modifier and Type
Method
Description
`static MatrixBlock`
LibMatrixSketch.`getUniqueValues(MatrixBlock blkIn, Types.Direction dir)`

## Uses of Types.Direction in org.apache.sysds.runtime.matrix.operators

Methods in org.apache.sysds.runtime.matrix.operators that return Types.Direction
Modifier and Type
Method
Description
`Types.Direction`
UnarySketchOperator.`getDirection()`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type Types.Direction
Modifier
Constructor
Description
``
`CountDistinctOperator(AggregateUnaryCPInstruction.AUType opType, Types.Direction direction, IndexFunction indexFunction)`
``
`CountDistinctOperator(CountDistinctOperatorTypes operatorType, Types.Direction direction, IndexFunction indexFunction, Hash.HashType hashType)`
``
`UnarySketchOperator(AggregateOperator aop, IndexFunction indexFunction, Types.Direction direction)`
``
`UnarySketchOperator(AggregateOperator aop, IndexFunction indexFunction, Types.Direction direction, int numThreads)`